com.independentsoft.exchange

## Enum SuggestionQuality

- java.lang.Object
- - java.lang.Enum<SuggestionQuality>
  - - com.independentsoft.exchange.SuggestionQuality

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SuggestionQuality>

      public enum SuggestionQuality
      extends java.lang.Enum<SuggestionQuality>

  Represents the quality of the suggested meeting time.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCELLENT` 100 percent of users and resources are available for the suggested meeting time.
    `FAIR` The maximum percentage of users and resources available for a suggested meeting time is equal to the GoodThreshold element value plus 50.
    `GOOD` The minimum percentage of users and resources available is equal to or greater than the GoodThreshold element value plus 50.
    `NONE` None.
    `POOR` Less than 50 percent of the users and resources are available for the suggested meeting time.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SuggestionQuality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SuggestionQuality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCELLENT

          public static final SuggestionQuality EXCELLENT

      100 percent of users and resources are available for the suggested meeting time.

    - #### GOOD

          public static final SuggestionQuality GOOD

      The minimum percentage of users and resources available is equal to or greater than the GoodThreshold element value plus 50.

    - #### FAIR

          public static final SuggestionQuality FAIR

      The maximum percentage of users and resources available for a suggested meeting time is equal to the GoodThreshold element value plus 50. The minimum value for a Fair quality meeting time is 50 percent.

    - #### POOR

          public static final SuggestionQuality POOR

      Less than 50 percent of the users and resources are available for the suggested meeting time.

    - #### NONE

          public static final SuggestionQuality NONE

      None.

  - ### Method Detail

    - #### values

          public static SuggestionQuality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SuggestionQuality c : SuggestionQuality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SuggestionQuality valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null